nbcj.net
当前位置:首页 >> ThinkPHP3.2.3可以跑在php7上吗 >>

ThinkPHP3.2.3可以跑在php7上吗

跑是可以的,但是会出现bug,php7更新了一些函数,如果不用到这些函数,tp是没问题的

完全可以的,我管理的新网站:http://www.f-elec.com就跑在PHP7上面

thinkphp3.2.3不支持PHP7 PHP7 不支持mysql,但支持mysqli

跑是可以的,但是会出现bug,php7更新了一些函数,如果不用到这些函数,tp是没问题的

您好,一般程序商发布的新版本都会兼容支持PHP7,ThinkPHP5~6新版本应该仅支持PHP7.x系。

主要修改这两个文件: Think\Lib\Template\ThinkTemplate.class.php ThinkPHP\Lib\Core\Dispatcher.class.php 因为preg_replace不能用/e修饰符,所以用preg_replace_callback代替preg_replace 具体修改可参考:http://blog.leanote.com/post/qiu...

3分钟,因为你没有看到这篇,只用配置Apache服务器就好 Apache2.4+PHP7.2.3安装

官方的版本目前是不支持的

这个问题基本上不需要开发者去考虑;PHP 7.3.x 稳定版本已经发布了,已知发现的大量 BUG 都已经做了修复; 并且 PHP 官方还在持续地维护更新。这就是说,开发者可以大胆地尝试使用官方发布的稳定版本,即使后面出现了问题发现了bug,官方会及时...

你要知道,服务器是很贵的,虚拟主机则便宜很多,然而很多虚拟主机商的虚拟主机只支持5.3,这是1,。很多网站后台都是用的5.3写的,懒得切换到高版本,历史遗留问题嘛,这是2。最重要的一点,新版本的稳定性还需要一定的验证时间,而老版本稳定性...

网站首页 | 网站地图
All rights reserved Powered by www.nbcj.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com